#
# Conditional build:
%bcond_without	tests	# nose tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Sphinx Doxygen renderer
Summary(pl.UTF-8):	Renderer Doxygena dla systemu dokumentacji Sphinx
Name:		python-breathe
Version:	4.11.1
Release:	2
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://github.com/michaeljones/breathe/releases
Source0:	https://github.com/michaeljones/breathe/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	04a2cca7502382518a08e07c0c78ac94
URL:		https://github.com/michaeljones/breathe
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
%if %{with tests}
BuildRequires:	python-Sphinx >= 1.4
BuildRequires:	python-docutils >= 0.5
BuildRequires:	python-nose
BuildRequires:	python-six >= 1.4
%endif
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%if %{with tests}
BuildRequires:	python3-Sphinx >= 1.4
BuildRequires:	python3-docutils >= 0.5
BuildRequires:	python3-nose
BuildRequires:	python3-six >= 1.4
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Breathe is an extension to reStructuredText and Sphinx to be able to
read and render the Doxygen XML output.

%description -l pl.UTF-8
Breathe to rozszerzenie do systemu dokumentacji reStructuredText i
Sphinx, pozwalające na odczyt i renderowanie wyjścia XML z Doxygena.

%package -n python3-breathe
Summary:	Sphinx Doxygen renderer
Summary(pl.UTF-8):	Renderer Doxygena dla systemu dokumentacji Sphinx
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-breathe
Breathe is an extension to reStructuredText and Sphinx to be able to
read and render the Doxygen XML output.

%description -n python3-breathe -l pl.UTF-8
Breathe to rozszerzenie do systemu dokumentacji reStructuredText i
Sphinx, pozwalające na odczyt i renderowanie wyjścia XML z Doxygena.

%prep
%setup -q -n breathe-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
cd tests
PYTHONPATH=.. \
nosetests-%{py_ver}
cd ..
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
cd tests
PYTHONPATH=.. \
nosetests-%{py3_ver}
cd ..
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean

%{__mv} $RPM_BUILD_ROOT%{_bindir}/breathe-apidoc{,-2}
%endif

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/breathe-apidoc{,-3}
ln -sf breathe-apidoc-3 $RPM_BUILD_ROOT%{_bindir}/breathe-apidoc
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%attr(755,root,root) %{_bindir}/breathe-apidoc-2
%{py_sitescriptdir}/breathe
%{py_sitescriptdir}/breathe-%{version}-py*.egg-info

%files -n python3-breathe
%defattr(644,root,root,755)
%doc LICENSE README.rst
%attr(755,root,root) %{_bindir}/breathe-apidoc
%attr(755,root,root) %{_bindir}/breathe-apidoc-3
%{py3_sitescriptdir}/breathe
%{py3_sitescriptdir}/breathe-%{version}-py*.egg-info
%changelog
* Wed Oct 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-breathe.git;a=log;h=auto/th/python-breathe-4.11.1-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1ace04f
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 6145f7d
- updated to 4.11.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 36ca256
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 41b2223
- updated to 4.6.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ad06c24
- python 3.6
- release 2 (by relup.sh)

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> c6364fe
- updated to 4.2.0
- enabled (nose) tests

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6204f8c
- added p3 deps

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> b06ebd4
- added python3 package
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 606d53b
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 65361c6
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 173b922
- automatic change: use py_build/py_install macros

* Thu Sep 19 2013 Elan Ruusamäe <glen@delfi.ee> 057588b
- simplify github url

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> a1aa2a0
- new

